from django.urls import path

from gongdan.views import (
    GongdanUploadImageView,
    GongdanCreateView,
    GongdanMyListView,
    GongdanDetailView,
    GongdanEscalateView,
    GongdanDissatisfiedView,
    GongdanMetaView,
    ChongzhiRecordListView,
    GongdanAdminListView,
    GongdanAdminHandleView,
)

urlpatterns = [
    path('upload-image/', GongdanUploadImageView.as_view(), name='工单图片上传'),
    path('create/', GongdanCreateView.as_view(), name='创建投诉工单'),
    path('my-list/', GongdanMyListView.as_view(), name='我的投诉列表'),
    path('detail/', GongdanDetailView.as_view(), name='工单详情'),
    path('escalate/', GongdanEscalateView.as_view(), name='继续投诉升级'),
    path('dissatisfied/', GongdanDissatisfiedView.as_view(), name='标记不满意'),
    path('meta/', GongdanMetaView.as_view(), name='工单枚举'),
    path('chongzhi-list/', ChongzhiRecordListView.as_view(), name='我的充值记录'),
    path('admin/list/', GongdanAdminListView.as_view(), name='客服工单列表'),
    path('admin/handle/', GongdanAdminHandleView.as_view(), name='客服处理工单'),
]
